import { type Base, genBase } from "./_base";
import type { Infra } from "./infra";

export interface ProcedureRoom extends Base {
	code: string
	infra_code: string
  infra?: Infra
	type_code: string
	unit_code: string
  specialist_code?: string | null
  subspecialist_code?: string | null
}

export function genProcedureRoom(): ProcedureRoom {
  return {
    ...genBase(),
    code: '',
    infra_code: '',
    type_code: '',
    unit_code: '',
    specialist_code: null,
    subspecialist_code: null,
  }
}
